Chapter 25. immutability_policy


25.1. createOrgImmutabilityPolicy

POST /api/v1/organization/{orgname}/immutabilitypolicy/

Authorizations: oauth2_implicit (org:admin)

Request body schema (application/json)

The immutability policy configuration

Expand
NameDescriptionSchema

tagPattern
optional

Regex pattern to match tag names

string

tagPatternMatches
optional

If true, matching tags are immutable. If false, non-matching tags are immutable.

boolean

Responses

Expand
HTTP CodeDescriptionSchema

201

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X POST "https://<quay-server.example.com>/api/v1/organization/<orgname>/immutabilitypolicy/" \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -d '{"tagPattern": ".*", "tagPatternMatches": true}'

25.2. createRepositoryImmutabilityPolicy

POST /api/v1/repository/{repository}/immutabilitypolicy/

Authorizations: oauth2_implicit (repo:admin)

Request body schema (application/json)

The immutability policy configuration

Expand
NameDescriptionSchema

tagPattern
optional

Regex pattern to match tag names

string

tagPatternMatches
optional

If true, matching tags are immutable. If false, non-matching tags are immutable.

boolean

Responses

Expand
HTTP CodeDescriptionSchema

201

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X POST "https://<quay-server.example.com>/api/v1/repository/<namespace>/<repo>/immutabilitypolicy/" \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -d '{"tagPattern": ".*", "tagPatternMatches": true}'

25.3. deleteOrgImmutabilityPolicy

DELETE /api/v1/organization/{orgname}/immutabilitypolicy/{policy_uuid}

Authorizations: oauth2_implicit (org:admin)

Responses

Expand
HTTP CodeDescriptionSchema

204

Deleted

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X DELETE "https://<quay-server.example.com>/api/v1/organization/<orgname>/immutabilitypolicy/<policy_uuid>" \
  -H "Authorization: Bearer <access_token>"

25.4. deleteRepositoryImmutabilityPolicy

DELETE /api/v1/repository/{repository}/immutabilitypolicy/{policy_uuid}

Authorizations: oauth2_implicit (repo:admin)

Responses

Expand
HTTP CodeDescriptionSchema

204

Deleted

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X DELETE "https://<quay-server.example.com>/api/v1/repository/<namespace>/<repo>/immutabilitypolicy/<policy_uuid>" \
  -H "Authorization: Bearer <access_token>"

25.5. getOrgImmutabilityPolicy

GET /api/v1/organization/{orgname}/immutabilitypolicy/{policy_uuid}

Authorizations: oauth2_implicit (org:admin)

Responses

Expand
HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/immutabilitypolicy/<policy_uuid>" \
  -H "Authorization: Bearer <access_token>"

25.6. getRepositoryImmutabilityPolicy

GET /api/v1/repository/{repository}/immutabilitypolicy/{policy_uuid}

Authorizations: oauth2_implicit (repo:admin)

Responses

Expand
HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X GET "https://<quay-server.example.com>/api/v1/repository/<namespace>/<repo>/immutabilitypolicy/<policy_uuid>" \
  -H "Authorization: Bearer <access_token>"

25.7. listOrgImmutabilityPolicies

GET /api/v1/organization/{orgname}/immutabilitypolicy/

Authorizations: oauth2_implicit (org:admin)

Responses

Expand
HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X GET "https://<quay-server.example.com>/api/v1/organization/<orgname>/immutabilitypolicy/" \
  -H "Authorization: Bearer <access_token>"

25.8. listRepositoryImmutabilityPolicies

GET /api/v1/repository/{repository}/immutabilitypolicy/

Authorizations: oauth2_implicit (repo:admin)

Responses

Expand
HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X GET "https://<quay-server.example.com>/api/v1/repository/<namespace>/<repo>/immutabilitypolicy/" \
  -H "Authorization: Bearer <access_token>"

25.9. updateOrgImmutabilityPolicy

PUT /api/v1/organization/{orgname}/immutabilitypolicy/{policy_uuid}

Authorizations: oauth2_implicit (org:admin)

Request body schema (application/json)

The immutability policy configuration

Expand
NameDescriptionSchema

tagPattern
optional

Regex pattern to match tag names

string

tagPatternMatches
optional

If true, matching tags are immutable. If false, non-matching tags are immutable.

boolean

Responses

Expand
HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X PUT "https://<quay-server.example.com>/api/v1/organization/<orgname>/immutabilitypolicy/<policy_uuid>" \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -d '{"tagPattern": ".*", "tagPatternMatches": true}'

25.10. updateRepositoryImmutabilityPolicy

PUT /api/v1/repository/{repository}/immutabilitypolicy/{policy_uuid}

Authorizations: oauth2_implicit (repo:admin)

Request body schema (application/json)

The immutability policy configuration

Expand
NameDescriptionSchema

tagPattern
optional

Regex pattern to match tag names

string

tagPatternMatches
optional

If true, matching tags are immutable. If false, non-matching tags are immutable.

boolean

Responses

Expand
HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

Example command

$ curl -X PUT "https://<quay-server.example.com>/api/v1/repository/<namespace>/<repo>/immutabilitypolicy/<policy_uuid>" \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -d '{"tagPattern": ".*", "tagPatternMatches": true}'
Red Hat logoGithubredditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat Documentation

We help Red Hat users innovate and achieve their goals with our products and services with content they can trust. Explore our recent updates.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Theme

© 2026 Red Hat
Back to top